Bug 1194797 - find -printf is not portable
Summary: find -printf is not portable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake-fedora
Version: rawhide
Hardware: x86_64
OS: FreeBSD
unspecified
unspecified
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-20 18:44 UTC by Ting-Wei Lan
Modified: 2016-01-04 04:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-04 04:45:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Ting-Wei Lan 2015-02-20 18:44:32 UTC
Description of problem:
`find -printf' is used in ManageTranslation.cmake, but the -printf argument is not supported by POSIX standard. This causes .mo files to be missing when installing ibus-chewing on FreeBSD.

Version-Release number of selected component (if applicable):
both the master branch and 2.3.4 release.

How reproducible:
Always reproducible on FreeBSD.

Steps to Reproduce:
1. Type `cmake' to configure ibus-chewing
2. Compile and install ibus-chewing

Actual results:
[Info1] XGETTEXT_EXECUTABLE=/usr/local/bin/xgettext
[Info1] MSGMERGE_EXECUTABLE=/usr/local/bin/msgmerge
[Info1] MSGFMT_EXECUTABLE=/usr/local/bin/msgfmt
[Info1] MSGINIT_EXECUTABLE=/usr/local/bin/msginit
find: -printf: unknown primary or operator
[Error] MANAGE_GETTEXT: Failed to detect locales. Please either specify LOCALES or SYSTEM_LOCALES.
All ibus-chewing .mo files are missing.

Expected results:
.mo files should be properly installed for ibus-chewing.

Additional info:

Comment 1 Jan Kurik 2015-07-15 14:30:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Ting-Wei Lan 2015-07-25 19:21:14 UTC
The commit itself is good, but there is a problem preventing ibus-chewing from being successfully configured. SRCS is passed in MANAGE_GETTEXT_LOCALES, which causes WORKING_DIRECTORY value to be wrong because it is not a valid option.


In order to test the commit, I have to manually edit ManageTranslation.cmake:

diff --git a/Modules/ManageTranslation.cmake b/Modules/ManageTranslation.cmake
index e55ecb5..61e47e0 100644
--- a/Modules/ManageTranslation.cmake
+++ b/Modules/ManageTranslation.cmake
@@ -376,7 +376,7 @@ FUNCTION(MANAGE_POT_FILE potFile)
     ENDIF()
 ENDFUNCTION(MANAGE_POT_FILE)
 
-SET(MANAGE_GETTEXT_LOCALES_VALID_OPTIONS "WORKING_DIRECTORY" "LOCALES" "SYSTEM_LOCALES" "DETECT_PO_DIR")
+SET(MANAGE_GETTEXT_LOCALES_VALID_OPTIONS "WORKING_DIRECTORY" "LOCALES" "SYSTEM_LOCALES" "DETECT_PO_DIR" "SRCS")
 FUNCTION(MANAGE_GETTEXT_LOCALES localeListVar)
     VARIABLE_PARSE_ARGN(_o MANAGE_GETTEXT_LOCALES_VALID_OPTIONS ${ARGN})
     SET(detectedPoDir "NOTFOUND")

Comment 4 Fedora Update System 2015-11-02 14:07:42 UTC
cmake-fedora-2.4.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-caa33b534a

Comment 5 Fedora Update System 2015-11-02 14:07:47 UTC
cmake-fedora-2.4.3-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dc6a01163a

Comment 6 Fedora Update System 2015-11-02 14:07:48 UTC
cmake-fedora-2.4.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4ddc46b06c

Comment 7 Fedora Update System 2015-11-02 14:07:52 UTC
cmake-fedora-2.4.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fd6648d251

Comment 8 Fedora Update System 2015-11-02 23:21:49 UTC
cmake-fedora-2.4.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update cmake-fedora'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fd6648d251

Comment 9 Fedora Update System 2015-11-03 00:24:01 UTC
cmake-fedora-2.4.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update cmake-fedora'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-94cb850426

Comment 10 Fedora Update System 2015-11-03 06:56:38 UTC
cmake-fedora-2.4.3-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update cmake-fedora'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dc6a01163a

Comment 11 Fedora Update System 2015-11-03 14:50:59 UTC
cmake-fedora-2.4.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update cmake-fedora'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4ddc46b06c

Comment 12 Fedora Update System 2015-11-03 15:48:47 UTC
cmake-fedora-2.4.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update cmake-fedora'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-caa33b534a

Comment 13 Fedora Update System 2015-11-12 23:29:04 UTC
cmake-fedora-2.4.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-11-13 01:52:37 UTC
cmake-fedora-2.4.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-11-13 02:50:29 UTC
cmake-fedora-2.4.3-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-11-19 00:22:55 UTC
cmake-fedora-2.4.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-66c909b9dc

Comment 17 Fedora Update System 2015-11-19 00:22:55 UTC
cmake-fedora-2.4.4-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4b1739bfdf

Comment 18 Fedora Update System 2015-11-19 23:19:10 UTC
cmake-fedora-2.4.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update cmake-fedora'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-4b1739bfdf

Comment 19 Fedora Update System 2015-11-19 23:49:39 UTC
cmake-fedora-2.4.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update cmake-fedora'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-66c909b9dc

Comment 20 Fedora Update System 2015-12-10 10:24:44 UTC
cmake-fedora-2.4.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-12-10 10:29:06 UTC
cmake-fedora-2.4.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.